feat: 增加终止信号定义

This commit is contained in:
2023-09-19 09:44:54 +08:00
parent 6af9b754f9
commit 13166a474c
+2 -1
View File
@@ -1,4 +1,4 @@
# Ver: 1.11 by Endial Fang (endial@126.com)
# Ver: 1.12 by Endial Fang (endial@126.com)
#
# 系统默认变量 ====================================================================
@@ -140,6 +140,7 @@ RUN set -eux; \
VOLUME ["/srv/${APP_NAME}/conf", "/srv/${APP_NAME}/data", "/srv/${APP_NAME}/cert", "/srv/${APP_NAME}/log"]
WORKDIR /srv/${APP_NAME}/data
EXPOSE 8080 8443
STOPSIGNAL SIGINT
#HEALTHCHECK NONE
#HEALTHCHECK --interval=30s --timeout=30s --retries=3 CMD curl -fs http://localhost:8080/ || exit 1